Skip to main content
PUT
Update Registered client

Authorizations

Authorization
string
header
required

Authorization header using the Bearer scheme. Example: "Authorization: Bearer {Value}"

Path Parameters

id
string<uuid>
required

The identifier of the Registered client to update

Body

application/json

Update Registered client request

Registered client Business Legal Name

Maximum string length: 300
displayName
string
required

Registered client Display Name

Maximum string length: 300
callbackUrls
string[] | null

Registered client Allowed Link URLs. If no Allowed Link URLs are specified, Allowed Link URLs from main client will be used.

catalogConfiguration
object

Catalog configuration request shape shared by profile, client, and sub-client write surfaces. By default all integrations show; the fields below curate the catalog. integrationWhiteList cannot be combined with excludeIntegrationCategories or excludeIntegrations.

Response

Registered client updated

status
enum<string>
Available options:
ok,
serverFailure,
permissionDenied,
badRequest,
notFound,
conflict,
tooManyRequest,
locked,
unavailableForLegalReasons
message
string | null

A message generated by the API

displayMessage
string | null

User-friendly display message that can be presented to the end user

errorHash
string | null
read-only

An error grouping hash from string components and caller information. Used by bugsnag on FE for correct error grouping

teamCode
string | null
read-only

Opaque team code for error routing. Resolved from exception origin or caller file path via CODEOWNERS. Format: 2-character code (e.g., "7K", "M2"). Use for alerting/routing, not display.

errorType
string | null

Strictly-typed error type that is explaining the reason of an unsuccessful status of the operation. All possible error types are available in the documentation.

errorData
unknown
content
object